var suitehelp = {};
suitehelp.contexts={"1104":"GUID-B8B1F2AB-EA4D-4CC5-9AC4-DECB2C64BFD7.html","1103":"GUID-D7E7A3DA-C579-4746-B69B-13E1519CD144.html","1111":"GUID-C210F0CB-B3CC-483A-B407-7E3188A3E436.html","1102":"GUID-D8503E3B-EFC2-4944-9F0C-C60283EFE500.html","1107":"GUID-C0FF4637-5B3A-4B53-98A6-37B2F3BAC599.html","1106":"GUID-EA936574-7EB4-48F4-BC3F-347A55F584F1.html","2001":"GUID-1EBC3B5C-C72C-4F07-AB25-2C224B799194.html","1105":"GUID-20B2AB62-225D-4631-9F6B-96CCDB883BC5.html"};
// Check for a context-sensitive link and redirect if present (and valid)
suitehelp.checkContext = function () {
    "use strict";

    var context = suitehelp.contexts[suitehelp.getQueryString("context")],
        adjustedQS =  window.location.search.substring(1).replace(/context=[^&]+&|(&|^)context=[^&]+/, "");
    if (context) {
        if (adjustedQS) {
       
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context + "?" + adjustedQS;
        } else {
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context;
        }
    }

};

// Lookup a query string variable
suitehelp.getQueryString = function (key) {
    "use strict";

    if (!suitehelp.queryString) {
        suitehelp.queryString = {};
        var query = window.location.search.substring(1),
            vars = query.split("&"),
            i,
            pair;
        for (i = 0; i < vars.length; i += 1) {
            pair = vars[i].split("=");
            suitehelp.queryString[pair[0]] = unescape(pair[1]);
        }
    }

    return suitehelp.queryString[key];
};

suitehelp.checkContext();